"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _styles = require("./styles");

var _reactNativeFastImage = _interopRequireDefault(require("react-native-fast-image"));

var _ErrorComponent = _interopRequireDefault(require("./ErrorComponent"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const ThumbnailComponent = _ref => {
  let {
    imgIndex,
    updateNowImageIndex,
    imageSize,
    imageBorderRadius,
    imgObj,
    nowPage,
    perPage,
    borderColor
  } = _ref;
  const [isError, setIsError] = (0, _react.useState)(false);

  const updateIndex = () => {
    if (updateNowImageIndex) {
      if (nowPage >= 0 && imgIndex >= 0) updateNowImageIndex(nowPage, imgIndex);
    }
  };

  const imageLoadedHandler = e => {
    var _e$nativeEvent, _e$nativeEvent2;

    console.log('Loading Loaded' + e.nativeEvent.width, e.nativeEvent.height);

    if (isError && ((e === null || e === void 0 ? void 0 : (_e$nativeEvent = e.nativeEvent) === null || _e$nativeEvent === void 0 ? void 0 : _e$nativeEvent.width) >= 0 || (e === null || e === void 0 ? void 0 : (_e$nativeEvent2 = e.nativeEvent) === null || _e$nativeEvent2 === void 0 ? void 0 : _e$nativeEvent2.height) >= 0)) {
      setIsError(false);
    }
  };

  const imageErrorHandler = () => {
    setIsError(true);
  };

  return imgObj !== null && imgObj !== void 0 && imgObj.uri ? /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: updateIndex,
    key: nowPage + ':' + imgIndex,
    style: [_styles.styles.thumbnailBorder, {
      width: imageSize,
      height: imageSize,
      borderRadius: imageBorderRadius,
      borderColor: borderColor !== null && borderColor !== void 0 ? borderColor : '#FFFF00',
      marginLeft: imgIndex % perPage === 1 ? 10 : 0,
      marginRight: imgIndex % perPage === 0 ? 0 : 10
    }]
  }, isError ? /*#__PURE__*/_react.default.createElement(_ErrorComponent.default, {
    size: 'small'
  }) : /*#__PURE__*/_react.default.createElement(_reactNativeFastImage.default, {
    source: imgObj,
    onLoad: imageLoadedHandler,
    onError: imageErrorHandler,
    style: {
      flex: 1,
      borderRadius: imageBorderRadius
    },
    resizeMode: 'cover'
  })) : null;
};

var _default = ThumbnailComponent;
exports.default = _default;
//# sourceMappingURL=ThumbnailComponent.js.map