import React, { useState } from 'react';
import { TouchableOpacity } from 'react-native';
import { styles } from './styles';
import FastImage from 'react-native-fast-image';
import ErrorComponent from './ErrorComponent';

const ThumbnailComponent = _ref => {
  let {
    imgIndex,
    updateNowImageIndex,
    imageSize,
    imageBorderRadius,
    imgObj,
    nowPage,
    perPage,
    borderColor
  } = _ref;
  const [isError, setIsError] = useState(false);

  const updateIndex = () => {
    if (updateNowImageIndex) {
      if (nowPage >= 0 && imgIndex >= 0) updateNowImageIndex(nowPage, imgIndex);
    }
  };

  const imageLoadedHandler = e => {
    var _e$nativeEvent, _e$nativeEvent2;

    console.log('Loading Loaded' + e.nativeEvent.width, e.nativeEvent.height);

    if (isError && ((e === null || e === void 0 ? void 0 : (_e$nativeEvent = e.nativeEvent) === null || _e$nativeEvent === void 0 ? void 0 : _e$nativeEvent.width) >= 0 || (e === null || e === void 0 ? void 0 : (_e$nativeEvent2 = e.nativeEvent) === null || _e$nativeEvent2 === void 0 ? void 0 : _e$nativeEvent2.height) >= 0)) {
      setIsError(false);
    }
  };

  const imageErrorHandler = () => {
    setIsError(true);
  };

  return imgObj !== null && imgObj !== void 0 && imgObj.uri ? /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: updateIndex,
    key: nowPage + ':' + imgIndex,
    style: [styles.thumbnailBorder, {
      width: imageSize,
      height: imageSize,
      borderRadius: imageBorderRadius,
      borderColor: borderColor !== null && borderColor !== void 0 ? borderColor : '#FFFF00',
      marginLeft: imgIndex % perPage === 1 ? 10 : 0,
      marginRight: imgIndex % perPage === 0 ? 0 : 10
    }]
  }, isError ? /*#__PURE__*/React.createElement(ErrorComponent, {
    size: 'small'
  }) : /*#__PURE__*/React.createElement(FastImage, {
    source: imgObj,
    onLoad: imageLoadedHandler,
    onError: imageErrorHandler,
    style: {
      flex: 1,
      borderRadius: imageBorderRadius
    },
    resizeMode: 'cover'
  })) : null;
};

export default ThumbnailComponent;
//# sourceMappingURL=ThumbnailComponent.js.map