import React, { useState } from 'react';
import { gestureHandlerRootHOC } from 'react-native-gesture-handler';
import Animated from 'react-native-reanimated';
import ErrorComponent from './ErrorComponent';
const ViewGestureHandlerRootHOC = gestureHandlerRootHOC(_ref => {
  let {
    imageUri,
    bgColor,
    transXYStyle
  } = _ref;
  const [isError, setIsError] = useState(false);

  const onImageLoadedHandler = e => {
    var _e$nativeEvent, _e$nativeEvent$source;

    if (isError && (e === null || e === void 0 ? void 0 : (_e$nativeEvent = e.nativeEvent) === null || _e$nativeEvent === void 0 ? void 0 : (_e$nativeEvent$source = _e$nativeEvent.source) === null || _e$nativeEvent$source === void 0 ? void 0 : _e$nativeEvent$source.width) >= 0) {
      setIsError(false);
    }
  };

  const onImageErrorHandler = () => {
    setIsError(true);
  };

  return imageUri ? /*#__PURE__*/React.createElement(Animated.View, {
    style: {
      flex: 1,
      backgroundColor: bgColor
    }
  }, isError ? /*#__PURE__*/React.createElement(ErrorComponent, {
    transXYStyle: transXYStyle,
    size: 'big'
  }) : /*#__PURE__*/React.createElement(Animated.Image, {
    onLoad: onImageLoadedHandler,
    onError: onImageErrorHandler,
    style: [transXYStyle, {
      flex: 1
    }],
    source: {
      uri: imageUri === null || imageUri === void 0 ? void 0 : imageUri.uri
    },
    resizeMode: 'contain'
  })) : null;
});
export default ViewGestureHandlerRootHOC;
//# sourceMappingURL=ViewGestureHandlerRootHOC.js.map